Check if default password is in use
Returns whether the device is currently using the default password. If true, the password must be changed using POST /login/change before the web interface becomes available.
Responses
- 200
- 401
OK
- application/json
- Schema
- Example (from schema)
- Example
Schema
- is_default boolean
True if device is using default password, false if password has been changed
{
"is_default": true
}
{
"is_default": false
}
Please log in
- application/json
- Schema
- Example (from schema)
- Example
Schema
error object
object containing info about error
code stringPossible values: [
invalid_authentication,permission_denied,not_valid,system_error]Error code
message stringError message
data object
Did not pass validation parameters. Can be represented as an object, which can include field names, arrays, query parameters etc.
param stringextended info on error
{
"error": {
"code": "not_valid",
"message": "Data validation error",
"data": {
"param": "must be an string"
}
}
}
{
"error": {
"code": "invalid_authentication",
"message": "Log In"
}
}
Loading...